﻿Imports System.ComponentModel
Imports System.Drawing.Drawing2D
Imports System.Windows.Forms

Public Class PixelBox
    Inherits PictureBox

    Public Sub New()
        ' Set default.
        InterpolationMode = InterpolationMode.[Default]
    End Sub

    <Category("Behavior")> _
    <DefaultValue(InterpolationMode.[Default])> _
    Public Property InterpolationMode() As InterpolationMode
        Get
            Return m_InterpolationMode
        End Get
        Set(value As InterpolationMode)
            m_InterpolationMode = value
        End Set
    End Property
    Private m_InterpolationMode As InterpolationMode

    Protected Overrides Sub OnPaint(e As System.Windows.Forms.PaintEventArgs)
        e.Graphics.InterpolationMode = InterpolationMode
        MyBase.OnPaint(e)
    End Sub
End Class